%global pypi_name colorama
%global python3_pkgversion 3.11

Name:           python-%{pypi_name}
Version:        0.4.6
Release:        1%{?dist}
Summary:        Cross-platform colored terminal text

License:        BSD-3-Clause
URL:            https://github.com/tartley/colorama
Source0:        %{url}/archive/%{version}/colorama-%{version}.tar.gz
Patch0:         0001-fix-pyproject-license.patch
BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}dist(pytest)
BuildRequires:  python%{python3_pkgversion}-rpm-macros
BuildRequires:  python%{python3_pkgversion}-setuptools


%description
Makes ANSI escape character sequences, for producing colored
terminal text and cursor positioning, work under MS Windows.

ANSI escape character sequences have long been used to produce colored terminal
text and cursor positioning on Unix and Macs. Colorama makes this work on
Windows, too.
It also provides some shortcuts to help generate ANSI sequences, and works fine
in conjunction with any other ANSI sequence generation library, such as
Termcolor.

%package -n python%{python3_pkgversion}-%{pypi_name}
Summary:        Cross-platform colored terminal text

%description -n python%{python3_pkgversion}-%{pypi_name}
Makes ANSI escape character sequences, for producing colored
terminal text and cursor positioning, work under MS Windows.

ANSI escape character sequences have long been used to produce colored terminal
text and cursor positioning on Unix and Macs. Colorama makes this work on
Windows, too.
It also provides some shortcuts to help generate ANSI sequences, and works fine
in conjunction with any other ANSI sequence generation library, such as
Termcolor.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

# Upstram uses a pyproject.toml that the version of setuptools in RHEL 9 cannot parse.
# It also depends on hatch for packaging, which is not available in RHEL 9.
tail -n +5 pyproject.toml > pyproject.toml_fixed
mv pyproject.toml_fixed pyproject.toml

%if %{defined el8}
cat << EOF > setup.py
import setuptools
setuptools.setup(
    version="%{version}"
)
EOF

cat << EOF > setup.cfg
[metadata]
name = colorama

[options]
packages=find:
EOF
%endif

%build
%py3_build

%install
%py3_install

%check
%pytest

%files -n python%{python3_pkgversion}-%{pypi_name}
%doc CHANGELOG.rst README.rst
%license LICENSE.txt
%{python3_sitelib}/%{pypi_name}/
%{python3_sitelib}/*.egg-info


%changelog
* Thu May 1 2025 Rafael Barron <rafael.barron@oracle> 0.4.6-1
- Upgrade to 0.4.6

* Mon Aug 5 2024 Darren Archibald <darren.archibald@oracle.com>  0.4.4-3.0.2
- Rebuild for python3.11

* Wed Feb 1 2023 Stoil Barzakov <stoil.barzakov@oracle.com> - 0.4.4-3.0.1
- Rebuild for Python 3.9 [JIRA: OLAM-27]

* Fri Apr 22 2022 Yanis Guenane <yguenane@redhat.com> - 0.4.4-3
- Build against python 3.9

* Mon Sep 06 2021 Evgeni Golov - 0.4.4-2
- Build against Python 3.8

* Thu Oct 29 2020 Evgeni Golov 0.4.4-1
- Update to 0.4.4

* Tue Aug 25 2020 Evgeni Golov - 0.4.3-1
- Initial package.
